New Search

GDI+ VML Buffer Overrun Vulnerability

oval:org.mitre.oval:def:6055

Integer overflow in GDI+ in Microsoft Internet Explorer 6 SP1 Windows XP SP2 and SP3 Server 2003 SP1 and SP2 Vista Gold and SP1 Server 2008 Office XP SP3 Office 2003 SP2 and SP3 2007 Microsoft Office System Gold and SP1 Visio 2002 SP2 PowerPoint Viewer 2003 Works 8 Digital Image Suite 2006 SQL Server 2000 Reporting Services SP2 SQL Server 2005 SP2 Report Viewer 2005 SP1 and 2008 and Forefront Client Security 1.0 allows remote attackers to execute arbitrary code via an image file with crafted gradient sizes in gradient fill input which triggers a heap-based buffer overflow related to GdiPlus.dll and VGX.DLL aka "GDI+ VML Buffer Overrun Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows 2000
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
Class:
vulnerability
Reference(s):
  • CVE-2007-5348
Product(s):
  • Microsoft Internet Explorer 6
  • Microsoft Office 2007
  • Microsoft Office Visio 2002
  • Microsoft PowerPoint Viewer
  • Microsoft Office 2003
  • Microsoft SQL Server 2005
  • Microsoft Office XP